Bug 120196 - Wrong permission for /var/spool/mail causes error and problems
Wrong permission for /var/spool/mail causes error and problems
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: filesystem (Show other bugs)
rawhide
All Linux
high Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-06 14:27 EDT by Robert Scheck
Modified: 2014-03-16 22:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-06 14:35:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2004-04-06 14:27:36 EDT
Description of problem:
After the new filesystem RPM I found the following in my log file
each time there was a pop3 connection:

--- snipp ---
Apr  6 16:42:13 tux ipop3d[13455]: Mailbox vulnerable - directory /var/spool/mail must have 1777 protection
--- snapp ---

Version-Release number of selected component (if applicable):
filesystem-2.2.4-1

How reproducible & Steps to Reproduce:
1. Install the latest filesystem RPM
2. Do a pop3 connection to receive mails or access mailbox via mutt
3. Get the error - or mutt displays that the mailbox is readonly, 
otherwise you find it in the maillog as written above.
  
Actual results:
The permission to /var/spool/mail is wrong set in the spec file in 
the files section.

Expected results:
--- filesystem.spec     2004-03-16 21:49:24.000000000 +0100
+++ filesystem.spec.rsc 2004-04-06 20:30:22.000000000 +0200
@@ -86,7 +86,7 @@
 /var/run
 %dir /var/spool
 %attr(755,root,root) /var/spool/lpd
-%attr(775,root,mail) /var/spool/mail
+%attr(1777,root,mail) /var/spool/mail
 %attr(1777,root,root) /var/tmp
 /var/yp

Additional info:
Would be nice if that solution or a better one would be used to
fix the problem. Thank you :-)
Comment 1 Bill Nottingham 2004-04-06 14:35:35 EDT
Your imap package is broken; it should not be warning about this.
Comment 2 Robert Scheck 2004-04-06 14:37:35 EDT
So my (that means your latest build) of mutt is also broken?!

Mutt says here - if /var/spool/mail isn't 1777 - that the mailbox only 
is readonly available...
Comment 3 Bill Nottingham 2004-04-06 14:43:25 EDT
I don't see that. I am able to read, for example,
/var/spool/mail/notting in read-write mode just fine - this is with
1.4.1-6.

What does 'mutt -v' say for you?
Comment 4 Robert Scheck 2004-04-06 14:54:53 EDT
Nothing special, but the problem seems to be a (old?) %pre or %post
from a package, that changed all mailboxes to 600 instead of 660 :-(

And then it is correct, that +t for /var/spool/mail is needed *g*

Okay, you are right...notabug, only the package that set the permission
from 660 to 600 has a bug ;-)

Note You need to log in before you can comment on or make changes to this bug.